import es
import gamethread
import random

dominations = {}

def load():
    random.seed()
    es.server.cmd("downloadable sound/tf2sounds/tf_nemesis.mp3")
    es.server.cmd("downloadable sound/tf2sounds/tf_revenge.mp3")
    for i in range(1, 17):
        es.server.cmd("downloadable sound/tf2sounds/taunts/taunts" + str(i) + ".mp3")
        
def unload():
    global dominations
    dominations.clear()

def es_map_start(event_var):
    global dominations
    dominations.clear()
    es.server.cmd("downloadable sound/tf2sounds/tf_nemesis.mp3")
    es.server.cmd("downloadable sound/tf2sounds/tf_revenge.mp3")
    for i in range(1, 17):
        es.server.cmd("downloadable sound/tf2sounds/taunts/taunts" + str(i) + ".mp3")

def player_death(event_var):
    global dominations
    centermess = ''
    str1 = event_var['userid'] + '<' + event_var['attacker']
    str2 = event_var['attacker'] + '<' + event_var['userid']
    if str1 in dominations.keys():
        dominations[str1] += 1
        if str2 in dominations.keys():
            if dominations[str2] >= 3 and dominations[str2] < 10:
                es.msg('#multi', '#green' + es.getplayername(event_var['attacker']) + '#default got revenge on#green ' + es.getplayername(event_var['userid']) + '#default!')
                es.emitsound('player', event_var['attacker'], 'tf2sounds/tf_revenge.mp3', 0.9, 0.0)
                centermess = es.getplayername(event_var['attacker']) + ' got revenge on ' + es.getplayername(event_var['userid']) + '!'              
            if dominations[str2] >= 10:
                es.msg('#multi', '#green' + es.getplayername(event_var['attacker']) + '#default finally got revenge on#green ' + es.getplayername(event_var['userid']) + '#default!')                
                es.emitsound('player', event_var['attacker'], 'tf2sounds/tf_revenge.mp3', 0.9, 0.0)
                centermess = es.getplayername(event_var['attacker']) + ' finally got revenge on ' + es.getplayername(event_var['userid']) + '!'              
            dominations[str2] = 0
        
        if dominations[str1] == 3:
            es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is being#lightgreen dominated#default by#green ' + es.getplayername(event_var['attacker']) + '#default!')
            es.emitsound('player', event_var['attacker'], 'tf2sounds/tf_nemesis.mp3', 0.9, 0.0)
            gamethread.delayed(1.6, play_taunt, (event_var['attacker'], random.randint(1, 16)))
            centermess = es.getplayername(event_var['userid']) + ' is being dominated by ' + es.getplayername(event_var['attacker']) + '!'              
            es.tell(event_var['userid'], '#multi', '#greenYou have a#lightgreen new nemesis!')
            es.tell(event_var['userid'], '#multi', '#greenGet your revenge on#lightgreen ' + es.getplayername(event_var['attacker']) + '#green now!!')
        if dominations[str1] == 6:
            es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is now being#lightgreen obliterated#default by#green ' + es.getplayername(event_var['attacker']) + '#default!')
            es.emitsound('player', event_var['attacker'], 'tf2sounds/tf_nemesis.mp3', 0.9, 0.0)
            gamethread.delayed(1.6, play_taunt, (event_var['attacker'], random.randint(1, 16)))
            centermess = es.getplayername(event_var['userid']) + ' is now being obliterated by ' + es.getplayername(event_var['attacker']) + '!'              
            es.tell(event_var['userid'], '#multi', '#greenYour are being obliterated by your nemesis!')
            es.tell(event_var['userid'], '#multi', '#greenGet your revenge on#lightgreen ' + es.getplayername(event_var['attacker']) + '#green now!!')
        if dominations[str1] == 10:
            es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is now being#lightgreen totally pwned#default by#green ' + es.getplayername(event_var['attacker']) + '#default!')
            es.emitsound('player', event_var['attacker'], 'tf2sounds/tf_nemesis.mp3', 0.9, 0.0)
            gamethread.delayed(1.6, play_taunt, (event_var['attacker'], random.randint(1, 16)))
            centermess = es.getplayername(event_var['userid']) + ' is now being totally pwned by ' + es.getplayername(event_var['attacker']) + '!'              
            es.tell(event_var['userid'], '#multi', '#greenYou are being totally pwned by your nemesis!')
            es.tell(event_var['userid'], '#multi', '#greenGet your revenge on#lightgreen ' + es.getplayername(event_var['attacker']) + '#green now!!')
        if dominations[str1] == 20:
            es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is now #lightgreen simply not worthy#default compared to#green ' + es.getplayername(event_var['attacker']) + '#default!')
            es.emitsound('player', event_var['attacker'], 'tf2sounds/tf_nemesis.mp3', 0.9, 0.0)
            gamethread.delayed(1.6, play_taunt, (event_var['attacker'], random.randint(1, 16)))
            centermess = es.getplayername(event_var['userid']) + ' is now simply not worthy compared to ' + es.getplayername(event_var['attacker']) + '!'              
            es.tell(event_var['userid'], '#multi', '#greenYou are simply not worthy compared your nemesis!')
            es.tell(event_var['userid'], '#multi', '#greenGet your revenge on#lightgreen ' + es.getplayername(event_var['attacker']) + '#green now!!')
    else:
        dominations[str1] = 1
        if str2 in dominations.keys():
            if dominations[str2] >= 3 and dominations[str2] < 10:
                es.msg('#multi', '#green' + es.getplayername(event_var['attacker']) + '#default got revenge on#green ' + es.getplayername(event_var['userid']) + '#default!')
                es.emitsound('player', event_var['attacker'], 'tf2sounds/tf_revenge.mp3', 0.9, 0.0)
                centermess = es.getplayername(event_var['attacker']) + ' got revenge on ' + es.getplayername(event_var['userid']) + '!'              
            if dominations[str2] >= 10:
                es.msg('#multi', '#green' + es.getplayername(event_var['attacker']) + '#default finally got revenge on#green ' + es.getplayername(event_var['userid']) + '#default!')                
                es.emitsound('player', event_var['attacker'], 'tf2sounds/tf_revenge.mp3', 0.9, 0.0)
                centermess = es.getplayername(event_var['attacker']) + ' finally got revenge on ' + es.getplayername(event_var['userid']) + '!'              
            dominations[str2] = 0
    
    if centermess != '':
        gamethread.delayed(0.1, center_msg, centermess)
        gamethread.delayed(1.1, center_msg, centermess)
        gamethread.delayed(2.1, center_msg, centermess)
        gamethread.delayed(3.1, center_msg, centermess)
        gamethread.delayed(4.1, center_msg, centermess)

def center_msg(text):
    es.centermsg(text)

def play_taunt(text, number):
    es.emitsound('player', text, 'tf2sounds/taunts/taunts' + str(number) + '.mp3', 1.0, 0.0)
